package nckd.jxccl.swc.hpdi.business.coordination.api;

import kd.hr.hbp.business.coordination.api.ext.CoordBizBeforeGenerateHandler;
import kd.hr.hbp.business.coordination.api.ext.CoordBizExtRegister;
import kd.hr.hbp.business.coordination.model.CoordBizContext;

/**
 * Tyx 2025-11-18
 * 薪资档案注册器，注册在 薪资数据集成 -> 员工变动协作配置 -> 协作字段配置 -> 薪资档案的bizextregister字段中
 */
public class SwcCoordBizExtRegister implements CoordBizExtRegister {

    @Override
    public void registerHandler(CoordBizContext context) {
        CoordBizExtRegister.super.registerHandler(context);
        context.registerHandlers(CoordBizContext.CoordBizStage.END_OPERATE, new SwcCoordBizSaveHandler());
    }

    @Override
    public CoordBizBeforeGenerateHandler beforeGenerateHandler() {
        return kd.hr.hbp.business.coordination.api.ext.CoordBizBeforeGenerateHandler.Default.DEFAULT;
    }
}
